%define		kdeplasmaver	5.21.5
%define		qtver		5.9.0
%define		kpname		ksysguard
Summary:	ksysguard
Name:		kp5-%{kpname}
Version:	5.21.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	749a0b3e32853d17884ccc840f7802d2
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.5.0
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kitemviews-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kp5-libksysguard-devel >= %{kdeplasmaver}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSysGuard is the Plasma Task and Performance Monitor. It features a
client/server architecture that allows monitoring of local as well as
remote hosts. The graphical front end uses so-called sensors to
retrieve the information it displays.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksysguard
%{_sysconfdir}/ksysguarddrc
%{_datadir}/knsrcfiles/ksysguard.knsrc
%attr(755,root,root) %{_bindir}/ksysguardd
%attr(755,root,root) %{_libdir}/libkdeinit5_ksysguard.so
%{_desktopdir}/org.kde.ksysguard.desktop
%{_iconsdir}/hicolor/16x16/apps/computer.png
%{_iconsdir}/hicolor/16x16/apps/daemon.png
%{_iconsdir}/hicolor/16x16/apps/kdeapp.png
%{_iconsdir}/hicolor/16x16/apps/kernel.png
%{_iconsdir}/hicolor/16x16/apps/ksysguardd.png
%{_iconsdir}/hicolor/16x16/apps/running.png
%{_iconsdir}/hicolor/16x16/apps/shell.png
%{_iconsdir}/hicolor/16x16/apps/unknownapp.png
%{_iconsdir}/hicolor/16x16/apps/waiting.png
%{_datadir}/knotifications5/ksysguard.notifyrc
%{_datadir}/ksysguard/ProcessTable.sgrd
%{_datadir}/ksysguard/SystemLoad2.sgrd
%dir %{_datadir}/kxmlgui5/ksysguard
%{_datadir}/kxmlgui5/ksysguard/ksysguardui.rc
%{_datadir}/metainfo/org.kde.ksysguard.appdata.xml
%attr(755,root,root) %{_bindir}/kstatsviewer
%attr(755,root,root) %{_bindir}/ksystemstats
%attr(755,root,root) %{_libdir}/libksgrdbackend.so
%dir %{_libdir}/qt5/plugins/ksysguard
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/ksysguard_globalplugin_network.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/ksysguard_ksgrd.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/ksysguard_plugin_cpu.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/ksysguard_plugin_disk.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/ksysguard_plugin_gpu.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/ksysguard_plugin_memory.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/ksysguard_plugin_osinfo.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/ksysguard_plugin_power.so
%dir %{_libdir}/qt5/plugins/ksysguard/process
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/process/ksysguard_plugin_nvidia.so
%{_datadir}/dbus-1/services/org.kde.ksystemstats.service
%attr(755,root,root) %{_libdir}/qt5/plugins/ksysguard/process/ksysguard_plugin_network.so
%dir %{_libexecdir}/ksysguard
%attr(755,root,root) %{_libexecdir}/ksysguard/ksgrd_network_helper
%changelog
* Thu May 13 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-ksysguard.git;a=log;h=master

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bbbc371
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bb13d9f
- updated to 5.21.4

* Sat Apr 03 2021 Jan Rękorajski <baggins@pld-linux.org> fb55173
- package owned dir
- rel 2

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3a39ce5
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 496cf59
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b121d9b
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> ccd608b
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> ef662e2
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> a96405c
- updated to 5.11.2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f121c56
- new

